org.apache.commons.math3.optim

## Class InitialGuess

- java.lang.Object
- - org.apache.commons.math3.optim.InitialGuess

All Implemented Interfaces:
  OptimizationData

    public class InitialGuess
    extends Object
    implements OptimizationData

Starting point (first guess) of the optimization procedure.
Immutable class.

Since:
  3.1
Version:
  $Id: InitialGuess.java 1416643 2012-12-03 19:37:14Z tn $

### Field Summary

Fields
`private double[]` `init` Initial guess.

### Constructor Summary

Constructors
Constructor and Description
`InitialGuess(double[] startPoint)`

### Method Summary

Methods
`double[]` `getInitialGuess()` Gets the initial guess.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### init

    private final double[] init

Initial guess.

### Constructor Detail

#### InitialGuess

    public InitialGuess(double[] startPoint)

Parameters:
  `startPoint` - Initial guess.

### Method Detail

#### getInitialGuess

    public double[] getInitialGuess()

Gets the initial guess.

Returns:
  the initial guess.